hr {
    margin: 1rem 0;
    color: inherit;
    background-color: #0d6efd;
    border: 0;
    opacity: 1;
}

.human-resource-request #layoutAuthentication {
    background: #4e54c8;
    background: -webkit-linear-gradient(to top, #8f94fb, #4e54c8);
    background: linear-gradient(to top, #8f94fb, #4e54c8);
}

.human-resource-request .input-group,
.company .input-group,
.work_schedule .input-group,
.human_resource_request_users .input-group {
    flex-direction: column;
}

label {
    color: #303b87 !important;
}

.label-select2 {
    opacity: 0.65;
    font-size: 14px;
    padding-left: 10px;
    padding-bottom: 5px;
}

.input-group-frame {
    border: 1px solid #ced4da;
    /*width: 98.5%;*/
    margin: 0 auto;
    border-radius: 5px;
    padding: 15px;
}

.radio-check-label {
    font-size: 14px;
    color: #303b87 !important;
    opacity: 0.65;
}

.app-logo {
    max-height: 45px;
}

.loading {
    display: none;
    top: 0;
    left: 0;
    position: fixed;
    width: 100%;
    height: 100%;
    background-color: black;
    opacity: 0.5;
    z-index: 1060;
}

.side-loading {
    display: none;
    top: 0;
    left: 0;
    position: fixed;
    width: 100%;
    height: 100%;
    background-color: black;
    opacity: 0.5;
    z-index: 1060;
}

/* https://loading.io/css/ */
.lds-roller {
    display: inline-block;
    position: relative;
    top: 30%;
    width: 80px;
    height: 80px;
    left: calc(50% - 40px);
}

.lds-roller div {
    animation: lds-roller 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
    transform-origin: 40px 40px;
}

.lds-roller div:after {
    content: " ";
    display: block;
    position: absolute;
    width: 7px;
    height: 7px;
    border-radius: 50%;
    background: #fff;
    margin: -4px 0 0 -4px;
}

.lds-roller div:nth-child(1) {
    animation-delay: -0.036s;
}

.lds-roller div:nth-child(1):after {
    top: 63px;
    left: 63px;
}

.lds-roller div:nth-child(2) {
    animation-delay: -0.072s;
}

.lds-roller div:nth-child(2):after {
    top: 68px;
    left: 56px;
}

.lds-roller div:nth-child(3) {
    animation-delay: -0.108s;
}

.lds-roller div:nth-child(3):after {
    top: 71px;
    left: 48px;
}

.lds-roller div:nth-child(4) {
    animation-delay: -0.144s;
}

.lds-roller div:nth-child(4):after {
    top: 72px;
    left: 40px;
}

.lds-roller div:nth-child(5) {
    animation-delay: -0.18s;
}

.lds-roller div:nth-child(5):after {
    top: 71px;
    left: 32px;
}

.lds-roller div:nth-child(6) {
    animation-delay: -0.216s;
}

.lds-roller div:nth-child(6):after {
    top: 68px;
    left: 24px;
}

.lds-roller div:nth-child(7) {
    animation-delay: -0.252s;
}

.lds-roller div:nth-child(7):after {
    top: 63px;
    left: 17px;
}

.lds-roller div:nth-child(8) {
    animation-delay: -0.288s;
}

.lds-roller div:nth-child(8):after {
    top: 56px;
    left: 12px;
}

@keyframes lds-roller {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

.table-orderable thead th a {
    color: lightgrey;
}

.table-orderable thead th a.active {
    color: black;
}

/* clear text */
.clear-text {
    transition: all .1s ease-in-out;
}

.clear-text:active span {
    transform: scale(0.9) !important;
}

.clear-text span {
    transition: all .1s ease-in-out;
}

.clear-text:hover span {
    transform: scale(1.2);
}

.required>label:after {
    color: #d00;
    content: "*";
    margin-left: 8px;
    top: 7px;
}

/* filter button */
.btn.filter-toggle {
    margin-top: 0.1rem;
    margin-bottom: 0.1rem;
    transition: all 120ms ease-in-out;
}

.btn.filter-toggle:not(.active):focus {
    box-shadow: none !important;
}

.btn.filter-toggle.active {
    filter: brightness(90%);
    transform: scale(0.95);
    box-shadow: 0 0 0 0.2rem rgba(13, 110, 253, 0.5), 10px 12px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

.ad {
    content: url('/image/icon/AD_mini.webp');
}

.ad-2x {
    content: url('/image/icon/AD.webp');
    max-width: 100px;
    margin: -5px -13px;
}

.color-restday {
    background-color: rgba(215, 215, 215, 0.3);
}

.color-nonworkingday {
    background-color: rgba(210, 30, 90, 0.3);
}

.color-relocatedrestday {
    background-color: rgba(234, 171, 6, 0.3);
}

.color-relocatedworkday {
    background-color: rgba(85, 85, 85, 0.5);
}

.color-disabledday {
    background-color: rgba(255, 0, 0, 0.7);
    text-decoration: line-through;
}

.color-today {
    background-color: rgba(255, 250, 223, 1);
}

.error-box {
    background-color: rgba(0, 65, 123, 0.9);
}

.card.error-box {
    border-radius: 20px !important;
}

.day-type-info {
    padding: 0.2rem 0.5rem;
    border: 1px solid lightgrey;
}

.fc-daygrid-event:not(.declined) {
    box-shadow: 10px 12px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    /*box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);*/
}

.not-accepted {
    box-shadow: 10px 12px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

.not-accepted::before {
    font-family: "FontAwesome";
    content: "⛔";
    color: #d00;
    padding-right: 5px;
    font-weight: 900;
    font-size: 1.15em;
    text-rendering: auto;
    float: right;
}

.declined::before {
    font-family: "FontAwesome";
    content: "❌";
    color: #d00;
    padding-right: 5px;
    font-weight: 900;
    font-size: 1.15em;
    text-rendering: auto;
    float: right;
}

.approved {
    box-shadow: 10px 12px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

.approved::before {
    font-family: "FontAwesome";
    content: "\f00c";
    color: #5a9837;
    padding-right: 5px;
    font-weight: 900;
    font-size: 1.15em;
    text-rendering: auto;
    float: right;
}

.fc-list-event::before {
    content: none;
}

.fc-list-event.not-accepted::after,
.fc-list-event.not-accepted:hover::after {
    font-family: "FontAwesome";
    content: "⛔";
    color: #d00;
    margin-left: -30px;
    font-weight: 900;
    font-size: 1.15em;
    text-rendering: auto;
}

.fc-list-event.declined::after,
.fc-list-event.declined:hover::after {
    font-family: "FontAwesome";
    content: "❌";
    color: #d00;
    margin-left: -30px;
    font-weight: 900;
    font-size: 1.15em;
    text-rendering: auto;
}

.fc-list-event.approved::after,
.fc-list-event.approved:hover::after {
    font-family: "FontAwesome";
    content: "\f00c";
    color: #5a9837;
    margin-left: -30px;
    font-weight: 900;
    font-size: 1.15em;
    text-rendering: auto;
}

.form-control-plaintext {
    border: 1px solid #ced4da;
    border-radius: 0.25rem;
    padding: 0.375rem 2.25rem 0.375rem 0.75rem;
    background: #ced4da30;
}

.same-line {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center
}

.career #layoutAuthentication {
    background: #ffffff;
}

/* Eredeti CSS, ami nem változik */
.send-button {
    background-color: #19365a !important;
    font-size: 1.0rem !important;
    font-weight: bold !important;
    text-transform: uppercase !important;
    letter-spacing: .5px !important;
    padding: 10px 30px !important;
    color: #fff !important;
    border-radius: 5px !important;
    margin: 20px !important;
    font-family: 'Rogan-Bold' !important;
    white-space: nowrap !important;
    border: 1px solid #19365a !important;
}

.send-button:hover {

  background-color: transparent !important;
  border-color: #19365a !important;
  color: #19365a !important;
}

.logo {
    height: auto;
    margin: 20px;
    width: 210px;
    max-width: 100px;
}

.header {
    overflow-x: hidden;
    padding: 10px 15px;
    flex-wrap: wrap;
}

.main_title {
    font-size: 1.5rem;
    white-space: nowrap;
}

/* Módosított media query 1150px alatt */
@media (max-width: 1150px) {
    .header {
        flex-direction: column;
        /* Oszlopos elrendezés */
        align-items: center;
        /* Középre igazítás vízszintesen */
        gap: 10px;
        /* Térköz az elemek között */
    }

    .main_title {
        font-size: 1.2rem;
        /* Kisebb cím */
        display: block;
        /* Blokk elemként viselkedik */
        margin-left: auto;
        /* Középre igazítás */
        margin-right: auto;
        text-align: center;
        /* Szöveg középre igazítása */
        width: 100%;
        /* Teljes szélesség, hogy külön sorba kerüljön */
        order: 2;
        /* A felirat a logó után következik */
    }

    .logo {
        max-width: 80px;
        /* Kisebb logó */
        display: block;
        /* Blokk elemként viselkedik */
        margin-left: auto;
        /* Középre igazítás */
        margin-right: auto;
        width: 100%;
        /* Teljes szélesség, hogy külön sorba kerüljön */
        order: 1;
        /* A logó az első elem */
    }

    .send-button {
        background-color: #19365a;
        padding: 6px 10px;
        font-weight: bold;
        text-transform: uppercase;
        letter-spacing: .5px;
        font-size: 0.8rem;
        border-radius: 5px;
        color: #fff;
        width: 100%;
        font-family: 'Rogan-Bold';
        text-align: center;
        border: 1px solid #19365a;
    }

    .send-button:hover {

        background-color: transparent !important;
        border-color: #19365a;
        color: #19365a;
    }

    .d-flex.align-items-center.justify-content-end {
        width: 100%;
        /* A gombokat tartalmazó div teljes szélességű */
        justify-content: center;
        /* Gombok középre igazítva */
        flex-direction: column;
        /* Oszlopos elrendezés a gombokhoz */
        gap: 10px;
        /* Térköz a gombok között */
        order: 3;
        /* A gombok a felirat után következnek */
    }
}

